Error Installing plugin


(Filipe Cunha) #1

Hi,

I'm trying to install a logstash-output-plugin, but every time a get a proxy error.
I already set HTTP_PROXY and HTTPS_PROXY but i'm still with the same issue.

this is the error:
"Unable to download data from https://rubygems.org - Errno::ECONNREFUSED: Connection refused - Failed to open TCP connect
ion to api.rubygems.org:443 (Connection refused - connect(2) for "api.rubygems.org" port 443) (https://api.rubygems.org/latest_specs.4.8.gz)"

Does anyone know how to solve that?

Thank you


(Ed) #2

What version of logstash ar eyou on?

you can try reading this thread https://discuss.elastic.co/t/5-1-1-plugin-installation-behind-proxy/70454/7


(Filipe Cunha) #3

i already tried 5.6.5 and now 6.1.1;
Do i need to set proxy on JRuby ? i


(Magnus B├Ąck) #4

I already set HTTP_PROXY and HTTPS_PROXY but i'm still with the same issue.

HTTP_PROXY and HTTPS_PROXY or http_proxy and https_proxy? The variable names are case-sensitive.


(Ed) #5

did you try?

https://www.elastic.co/guide/en/logstash/current/working-with-plugins.html


(Filipe Cunha) #6

thank you for your reply.
I tried that...but it didnt work.
I resolve the problem with the offline installation... i downloaded the plugin from gem repository and after i installed it... I could notice that after this step, the gemfile added the path to plugin that i installed offline :slight_smile:


(system) #7

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.